using System.ComponentModel;

namespace Hotline.Share.Enums.Push;

/// <summary>
/// 消息推送业务
/// </summary>
public enum EPushBusiness
{
    /// <summary>
    /// 工单派单
    /// </summary>
    [Description("工单派单")]
    OrderSend = 0,

    /// <summary>
    /// 工单受理
    /// </summary>
    [Description("工单受理")]
    OrderAccept = 1,

    /// <summary>
    /// 工单超期
    /// </summary>
    [Description("工单超期")]
    OrderExpire = 2,

    /// <summary>
    /// 工单催办
    /// </summary>
    [Description("工单催办")]
    OrderUrge = 3,

    /// <summary>
    /// 工单退回
    /// </summary>
    [Description("工单退回")]
    OrderSendBack = 4,

    /// <summary>
    /// 验证码
    /// </summary>
    [Description("验证码")]
    MsgCode = 5,

    /// <summary>
    /// 工单督办
    /// </summary>
    [Description("工单督办")]
    OrderSupervise = 6,

}